%define	module	File-HomeDir
%define	name	perl-%{module}
%define	version	0.80
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Get home directory for self or other users
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/File/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
A Perl module to get home directory portably for self or other users.

%prep
%setup -q -n %{module}-%{version}
find lib -name *.pm | xargs chmod 644 
chmod 644 Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/File
%{_mandir}/*/*



%changelog
* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdv2009.0
+ Revision: 230269
- update to new version 0.80

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.69-2mdv2009.0
+ Revision: 223751
- rebuild

* Mon Feb 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2008.1
+ Revision: 162036
- update to new version 0.69

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.67-1mdv2008.1
+ Revision: 116170
- update to new version 0.67

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.66-1mdv2008.0
+ Revision: 75221
- update to new version 0.66

* Mon May 21 2007 Michael Scherer <misc@mandriva.org> 0.65-1mdv2008.0
+ Revision: 29097
- Update to new version 0.65

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.64-1mdv2008.0
+ Revision: 20093
- 0.64


* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.58-1mdv2007.0
- new release
- fix sources URL

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.57-1mdk
- New release 0.57
- Change Source URL

* Sun Mar 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-1mdk
- New release 0.56

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdk
- New release 0.54

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdk
- new version
- spec cleanup
- %%mkrel
- rpmbuildupdate aware

* Wed Nov 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.07-1mdk
- 0.07
- Remove patch1 (disable windows-only code)
- Fix permissions and line encodings

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.06-1mdk
- 0.06

* Thu Jan 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.05-2mdk
- 0.05

* Wed Jan 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.05-1mdk
- from Robin Rosenberg <robin.rosenberg@dewire.com> :
	- initial contrib import. Needed for building Captive-NTFS

